## org.eclipse.ocl.ecore.impl
Class VariableImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.ETypedElementImpl
                                  org.eclipse.ocl.ecore.impl.VariableImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, ETypedElement, InternalEObject, Variable<EClassifier,EParameter>, ASTNode, TypedASTNode, TypedElement<EClassifier>, Visitable

    public class VariableImpl

extends ETypedElementImpl
implements Variable

An implementation of the model object 'Variable'.

The following features are implemented:

- `Start Position`
- `End Position`
- `Type Start Position`
- `Type End Position`
- `Init Expression`
- `Represented Parameter`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static int` `END_POSITION_EDEFAULT` The default value of the '`End Position`' attribute
`protected int` `endPosition` The cached value of the '`End Position`' attribute
`protected OCLExpression<EClassifier>` `initExpression` The cached value of the '`Init Expression`' containment reference
`protected EParameter` `representedParameter` The cached value of the '`Represented Parameter`' reference
`protected static int` `START_POSITION_EDEFAULT` The default value of the '`Start Position`' attribute
`protected int` `startPosition` The cached value of the '`Start Position`' attribute
`protected static int` `TYPE_END_POSITION_EDEFAULT` The default value of the '`Type End Position`' attribute
`protected static int` `TYPE_START_POSITION_EDEFAULT` The default value of the '`Type Start Position`' attribute
`protected int` `typeEndPosition` The cached value of the '`Type End Position`' attribute
`protected int` `typeStartPosition` The cached value of the '`Type Start Position`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.ETypedElementImpl
`eGenericType, eType, LOWER_BOUND_EDEFAULT, lowerBound, MANY_EDEFAULT, ORDERED_EDEFAULT, ORDERED_EFLAG, REQUIRED_EDEFAULT, UNIQUE_EDEFAULT, UNIQUE_EFLAG, UPPER_BOUND_EDEFAULT, upperBound`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `VariableImpl()`

Method Summary

`

`<T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T`

`

`accept(U v)`

`EParameter` `basicGetRepresentedParameter()`
`NotificationChain` `basicSetInitExpression(OCLExpression<EClassifier> newInitExpression, NotificationChain msgs)`
`boolean` `checkInitType(DiagnosticChain diagnostics, Map<Object,Object> context)`
`int` `eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`int` `getEndPosition()`
`OCLExpression<EClassifier>` `getInitExpression()`
`EParameter` `getRepresentedParameter()`
`int` `getStartPosition()`
`EClassifier` `getType()`
`int` `getTypeEndPosition()`
`int` `getTypeStartPosition()`
`void` `setEndPosition(int newEndPosition)`
`void` `setInitExpression(OCLExpression<EClassifier> newInitExpression)`
`void` `setRepresentedParameter(EParameter newRepresentedParameter)`
`void` `setStartPosition(int newStartPosition)`
`void` `setType(EClassifier type)`
`void` `setTypeEndPosition(int newTypeEndPosition)`
`void` `setTypeStartPosition(int newTypeStartPosition)`
`String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.ETypedElementImpl
`basicGetEType, basicSetEGenericType, basicUnsetEGenericType, freeze, getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isSetEGenericType, isSetEType, isUnique, setEGenericType, setEGenericType, setEType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound, unsetEGenericType, unsetEType`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eInverseAdd, eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### START_POSITION_EDEFAULT

    protected static final int START_POSITION_EDEFAULT

  The default value of the '`Start Position`' attribute.

  See Also:
    `getStartPosition()`, Constant Field Values

### startPosition

    protected int startPosition

  The cached value of the '`Start Position`' attribute.

  See Also:
    `getStartPosition()`

### END_POSITION_EDEFAULT

    protected static final int END_POSITION_EDEFAULT

  The default value of the '`End Position`' attribute.

  See Also:
    `getEndPosition()`, Constant Field Values

### endPosition

    protected int endPosition

  The cached value of the '`End Position`' attribute.

  See Also:
    `getEndPosition()`

### TYPE_START_POSITION_EDEFAULT

    protected static final int TYPE_START_POSITION_EDEFAULT

  The default value of the '`Type Start Position`' attribute.

  See Also:
    `getTypeStartPosition()`, Constant Field Values

### typeStartPosition

    protected int typeStartPosition

  The cached value of the '`Type Start Position`' attribute.

  See Also:
    `getTypeStartPosition()`

### TYPE_END_POSITION_EDEFAULT

    protected static final int TYPE_END_POSITION_EDEFAULT

  The default value of the '`Type End Position`' attribute.

  See Also:
    `getTypeEndPosition()`, Constant Field Values

### typeEndPosition

    protected int typeEndPosition

  The cached value of the '`Type End Position`' attribute.

  See Also:
    `getTypeEndPosition()`

### initExpression

    protected OCLExpression<EClassifier> initExpression

  The cached value of the '`Init Expression`' containment reference.

  See Also:
    `getInitExpression()`

### representedParameter

    protected EParameter representedParameter

  The cached value of the '`Represented Parameter`' reference.

  See Also:
    `getRepresentedParameter()`

Constructor Detail

### VariableImpl

    protected VariableImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ETypedElementImpl`

### getStartPosition

    public int getStartPosition()

  Specified by:
    `getStartPosition` in interface `ASTNode`
  Returns:
    the value of the 'Start Position' attribute.
  See Also:
    `ASTNode.setStartPosition(int)`, `UtilitiesPackage.getASTNode_StartPosition()`

### setStartPosition

    public void setStartPosition(int newStartPosition)

  Specified by:
    `setStartPosition` in interface `ASTNode`
  Parameters:
    `newStartPosition` - the new value of the 'Start Position' attribute.
  See Also:
    `ASTNode.getStartPosition()`

### getEndPosition

    public int getEndPosition()

  Specified by:
    `getEndPosition` in interface `ASTNode`
  Returns:
    the value of the 'End Position' attribute.
  See Also:
    `ASTNode.setEndPosition(int)`, `UtilitiesPackage.getASTNode_EndPosition()`

### setEndPosition

    public void setEndPosition(int newEndPosition)

  Specified by:
    `setEndPosition` in interface `ASTNode`
  Parameters:
    `newEndPosition` - the new value of the 'End Position' attribute.
  See Also:
    `ASTNode.getEndPosition()`

### getTypeStartPosition

    public int getTypeStartPosition()

  Specified by:
    `getTypeStartPosition` in interface `TypedASTNode`
  Returns:
    the value of the 'Type Start Position' attribute.
  See Also:
    `TypedASTNode.setTypeStartPosition(int)`, `UtilitiesPackage.getTypedASTNode_TypeStartPosition()`

### setTypeStartPosition

    public void setTypeStartPosition(int newTypeStartPosition)

  Specified by:
    `setTypeStartPosition` in interface `TypedASTNode`
  Parameters:
    `newTypeStartPosition` - the new value of the 'Type Start Position' attribute.
  See Also:
    `TypedASTNode.getTypeStartPosition()`

### getTypeEndPosition

    public int getTypeEndPosition()

  Specified by:
    `getTypeEndPosition` in interface `TypedASTNode`
  Returns:
    the value of the 'Type End Position' attribute.
  See Also:
    `TypedASTNode.setTypeEndPosition(int)`, `UtilitiesPackage.getTypedASTNode_TypeEndPosition()`

### setTypeEndPosition

    public void setTypeEndPosition(int newTypeEndPosition)

  Specified by:
    `setTypeEndPosition` in interface `TypedASTNode`
  Parameters:
    `newTypeEndPosition` - the new value of the 'Type End Position' attribute.
  See Also:
    `TypedASTNode.getTypeEndPosition()`

### getInitExpression

    public OCLExpression<EClassifier> getInitExpression()

  Specified by:
    `getInitExpression` in interface `Variable<EClassifier,EParameter>`
  Returns:
    the value of the 'Init Expression' containment reference.
  See Also:
    `Variable.setInitExpression(OCLExpression)`, `ExpressionsPackage.getVariable_InitExpression()`

### basicSetInitExpression

    public NotificationChain basicSetInitExpression(OCLExpression<EClassifier> newInitExpression,
                                                    NotificationChain msgs)

### setInitExpression

    public void setInitExpression(OCLExpression<EClassifier> newInitExpression)

  Specified by:
    `setInitExpression` in interface `Variable<EClassifier,EParameter>`
  Parameters:
    `newInitExpression` - the new value of the 'Init Expression' containment reference.
  See Also:
    `Variable.getInitExpression()`

### getRepresentedParameter

    public EParameter getRepresentedParameter()

  Specified by:
    `getRepresentedParameter` in interface `Variable<EClassifier,EParameter>`
  Returns:
    the value of the 'Represented Parameter' reference.
  See Also:
    `Variable.setRepresentedParameter(Object)`, `ExpressionsPackage.getVariable_RepresentedParameter()`

### basicGetRepresentedParameter

    public EParameter basicGetRepresentedParameter()

### setRepresentedParameter

    public void setRepresentedParameter(EParameter newRepresentedParameter)

  Specified by:
    `setRepresentedParameter` in interface `Variable<EClassifier,EParameter>`
  Parameters:
    `newRepresentedParameter` - the new value of the 'Represented Parameter' reference.
  See Also:
    `Variable.getRepresentedParameter()`

### checkInitType

    public boolean checkInitType(DiagnosticChain diagnostics,
                                 Map<Object,Object> context)

  Specified by:
    `checkInitType` in interface `Variable<EClassifier,EParameter>`
  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### getType

    public EClassifier getType()

  Specified by:
    `getType` in interface `TypedElement<EClassifier>`

### setType

    public void setType(EClassifier type)

  Specified by:
    `setType` in interface `TypedElement<EClassifier>`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `ETypedElementImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `ETypedElementImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `ETypedElementImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `ETypedElementImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `ETypedElementImpl`

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        Class<?> baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `BasicEObjectImpl`

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           Class<?> baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `BasicEObjectImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `ETypedElementImpl`

### accept

    public <T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T accept(U v)

  Description copied from interface: `Visitable`

  Specified by:
    `accept` in interface `Visitable`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.